#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "PrestigeViewData.h"
#include "BloodPointBulkSpendingPopupViewInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API UBloodPointBulkSpendingPopupViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API IBloodPointBulkSpendingPopupViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void UpdatedExpectedLevels(const FPrestigeViewData& expectedPrestige, const int32 expectedLevel, const int32 expectedCost);

};
